Retrieve Subscription Details
This topic describes how to retrieve the details of a webhook subscription, such as the subscription status, which organizations are receiving the notifications, and other useful details.
This request requires the webhook subscription ID. The subscription ID is in the webhookId response field from the create a webhook subscription request.
Endpoint
Send a GET request to this endpoint. The {webhookId} is the webhook subscription ID.
GET /notification-subscriptions/v2/webhooks/{webhookId}
GET /notification-subscriptions/v2/webhooks/{webhookId}
GET /notification-subscriptions/v2/webhooks/{webhookId}
Example
GET /notification-subscriptions/v2/webhooks/ddb9bced-c3e3-1b1d-e053-9c588e0a3c42{}{ "organizationId": "organizationId", "productId": "terminalManagement", "eventTypes": [ "terminalManagement.assignment.update" ], "webhookId": "ddb9bced-c3e3-1b1d-e053-9c588e0a3c42", "webhookUrl": "https://MyWebhookServer.com:443/simulateClient", "healthCheckUrl": "https://MyWebhookServer.com:443/simulateClientHealthCheck", "createdOn": "2022-04-28 15:39:56.931", "status": "SUSPENDED", "retryPolicy": { "algorithm": "ARITHMETIC", "firstRetry": 1, "interval": 1, "numberOfRetries": 3, "deactivateFlag": false, "repeatSequenceCount": 0, "repeatSequenceWaitTime": 0 }, "securityPolicy": { "securityType": "KEY", "digitalSignatureEnabled": "yes" }, "version": "3", "deliveryType": "nrtdCentral", "notificationScope": "DESCENDANTS"}Response Codes
A successful request is indicated by the 200-level response code. For more information about all of the possible response codes you can receive, see Transaction Response Codes.
Thanks for your feedback!
Last published: October 28, 2026